Compatibility

cover-harry-potter

OverDrive Read is designed to work on any tablet, phone, or computer running a web browser with HTML5 support. To learn whether your device is compatible, just click the cover of Harry Potter and the Goblet of Fire to the left.

BrowserPlatform
Chrome Android, iOS, Mac OSX, Windows XP, Vista, 7, and 8, Linux
Firefox Android, Mac OSX, Windows XP, Vista, 7, and 8, Linux
Safari iOS, Mac OSX
Android Browser Android phones and tablets (v2.3+)
Internet Explorer 10 Windows 7+
Kindle Silk Kindle Fire and Fire HD
NOOK Browser NOOK Color, Tablet, HD, and HD+

Common web browsers

Chrome Chrome: The default browser on Android 4.0+, and available on most platforms (like Android, Windows, and Mac). Chrome natively supports the necessary HTML5 and CSS3 elements required for OverDrive Read.

Firefox Firefox: Available on most platforms (like Android, Windows, and Mac). Firefox natively supports the necessary HTML5 and CSS3 elements required for OverDrive Read.

Safari Safari: The default browser in OSX (Mac) and iOS (iPhone/iPad/iPod touch). Safari natively supports the necessary HTML5 and CSS3 elements required for OverDrive Read.

Ie Internet Explorer 10: The default browser for Windows 8 and RT, and now available for Windows 7. IE 10 natively supports the necessary HTML5 and CSS3 elements required for OverDrive Read.